// ---------------------------
// EasyExpert MA Cross Example
// ---------------------------

#include <EasyExpert.mqh>

extern string SignalSettings = "*** Signal Settings ***";
extern int MAPeriod = 10;


int init()
  {
    Print("*** Using EasyExpert for MetaTrader 4. "+CharToStr(169)+"2007 AYI Media ***");
    return(0);
  }

int start()
  {

  double MA = iMA(NULL,0,MAPeriod,0,0,0,0);
  
  OncePerBar();
  
  OrderCheck();
 
  if (Close[0] > MA) 
    {
      CloseSellOrders();
      OpenBuyOrder();
      AddToBuyOrder();
      OpenBuyHedge();
    }
  
  if (Close[0] < MA) 
    {
      CloseBuyOrders();
      OpenSellOrder();
      AddToSellOrder();
      OpenSellHedge();
    }
  
  AdjustTrailingStops();

  return(0);
  }

